# Class CIM_SwitchService
extends CIM_ForwardingService

Generic switch (bridging) service class. Additional switching functions are incorporated as subordinate services related to this class via ServiceComponent associations.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_NetworkService
|
+--CIM_ForwardingService
|
+--CIM_SwitchService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | Generic switch (bridging) service class. Additional switching functions are incorporated as subordinate services related to this class via ServiceComponent associations.
UMLPackagePath | string | CIM::Network::SwitchingBridging
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BridgeAddress | string |

Description

string

Address used by this SwitchService when it must be uniquely identified. For an ethernet bridge, the MAC Address serves as the BridgeAddress. When concatenated with a SpanningTreeService Priority, a unique bridge identifier results. The MAC address is formatted as twelve hexadecimal digits (e.g., "010203040506"), with each pair representing one of the six octets of the MAC address in "canonical" bit order according to RFC 2469. In other scenarios, like Ipv6, the address is formatted as "ffff:ffff:ffff:ffff".

MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dBaseBridgeAddress
MaxLen | uint32 | 32
ModelCorrespondence | string | CIM_SwitchService.BridgeAddressType
BridgeAddressType | uint16 |
Description | string | BridgeAddressType defines the type of addressing scheme used for this Bridge and its BridgeAddress property.
ModelCorrespondence | string | CIM_SwitchService.BridgeAddress
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, IPv4, IPv6, MAC, MAC + Spanning Tree Priority
BridgeType | uint8 |
Description | string | Indicates what type of switching service can be performed.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dBaseType
ValueMap | string | 1, 2, 3, 4
Values | string | Unknown, Transparent-only, SourceRoute-only, SRT
NumPorts | uint16 |
Description | string | The number of switch ports controlled by this switching service.
MappingStrings | string | MIB.IETF|BRIDGE-MIB.dot1dBaseNumPorts

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherProtocolType | string | CIM_ForwardingService
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
ProtocolType | uint16 | CIM_ForwardingService
RequestedState | uint16 | CIM_EnabledLogicalElement
ServiceURL | string | CIM_NetworkService
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
Keywords | string[] | CIM_NetworkService
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StartupConditions | string[] | CIM_NetworkService
StartupParameters | string[] | CIM_NetworkService
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service